Open CASCADE Technology: BinMDF_TypeADriverMap Class Reference

Open CASCADE Technology 6.8.0

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
BinMDF_TypeADriverMap Class Reference

`#include <BinMDF_TypeADriverMap.hxx>`

Inheritance diagram for BinMDF_TypeADriverMap:
[legend]

## Public Member Functions
| BinMDF_TypeADriverMap (const Standard_Integer NbBuckets=1)
BinMDF_TypeADriverMap & | Assign (const BinMDF_TypeADriverMap &Other)
BinMDF_TypeADriverMap & | operator= (const BinMDF_TypeADriverMap &Other)
void | ReSize (const Standard_Integer NbBuckets)
void | Clear ()
| ~BinMDF_TypeADriverMap ()
Standard_Boolean | Bind (const Handle< Standard_Type > &K, const Handle< BinMDF_ADriver > &I)
Standard_Boolean | IsBound (const Handle< Standard_Type > &K) const
Standard_Boolean | UnBind (const Handle< Standard_Type > &K)
const Handle< BinMDF_ADriver > & | Find (const Handle< Standard_Type > &K) const
const Handle< BinMDF_ADriver > & | operator() (const Handle< Standard_Type > &K) const
Handle< BinMDF_ADriver > & | ChangeFind (const Handle< Standard_Type > &K)
Handle< BinMDF_ADriver > & | operator() (const Handle< Standard_Type > &K)
Standard_Address | Find1 (const Handle< Standard_Type > &K) const
Standard_Address | ChangeFind1 (const Handle< Standard_Type > &K)
Public Member Functions inherited from TCollection_BasicMap
Standard_Integer | NbBuckets () const
| Returns the number of buckets in <me>. More...
Standard_Integer | Extent () const
| Returns the number of keys already stored in <me>. More...
Standard_Boolean | IsEmpty () const
| Returns True when the map contains no keys. This is exactly Extent() == 0. More...
void | Statistics (Standard_OStream &S) const
| Prints on <S> usefull statistics about the map <me>. It can be used to test the quality of the hashcoding. More...

## Additional Inherited Members
Protected Member Functions inherited from TCollection_BasicMap
| TCollection_BasicMap (const Standard_Integer NbBuckets, const Standard_Boolean single)
| Initialize the map. Single is True when the map uses only one table of buckets. More...
Standard_Boolean | BeginResize (const Standard_Integer NbBuckets, Standard_Integer &NewBuckets, Standard_Address &data1, Standard_Address &data2) const
| Tries to resize the Map with NbBuckets. Returns True if possible, NewBuckts is the new nuber of buckets. data1 and data2 are the new tables of buckets where the data must be copied. More...
void | EndResize (const Standard_Integer NbBuckets, const Standard_Integer NewBuckets, const Standard_Address data1, const Standard_Address data2)
| If BeginResize was succesfull after copying the data to data1 and data2 this methods update the tables and destroys the old ones. More...
Standard_Boolean | Resizable () const
| Returns True if resizing the map should be considered. More...
void | Increment ()
| Decrement the extent of the map. More...
void | Decrement ()
| Decrement the extent of the map. More...
void | Destroy ()
| Destroys the buckets. More...
Protected Attributes inherited from TCollection_BasicMap
Standard_Address | myData1
Standard_Address | myData2

## Constructor & Destructor Documentation

BinMDF_TypeADriverMap::BinMDF_TypeADriverMap | ( | const Standard_Integer | NbBuckets = `1` | ) |

BinMDF_TypeADriverMap::~BinMDF_TypeADriverMap | ( |  | ) |
| inline

## Member Function Documentation

BinMDF_TypeADriverMap& BinMDF_TypeADriverMap::Assign | ( | const BinMDF_TypeADriverMap & | Other | ) |

Standard_Boolean BinMDF_TypeADriverMap::Bind | ( | const Handle< Standard_Type > & | K,
|  | const Handle< BinMDF_ADriver > & | I
| ) |  |

Handle< BinMDF_ADriver >& BinMDF_TypeADriverMap::ChangeFind | ( | const Handle< Standard_Type > & | K | ) |

Standard_Address BinMDF_TypeADriverMap::ChangeFind1 | ( | const Handle< Standard_Type > & | K | ) |

void BinMDF_TypeADriverMap::Clear | ( |  | ) |

const Handle< BinMDF_ADriver >& BinMDF_TypeADriverMap::Find | ( | const Handle< Standard_Type > & | K | ) | const

Standard_Address BinMDF_TypeADriverMap::Find1 | ( | const Handle< Standard_Type > & | K | ) | const

Standard_Boolean BinMDF_TypeADriverMap::IsBound | ( | const Handle< Standard_Type > & | K | ) | const

const Handle< BinMDF_ADriver >& BinMDF_TypeADriverMap::operator() | ( | const Handle< Standard_Type > & | K | ) | const
| inline

Handle< BinMDF_ADriver >& BinMDF_TypeADriverMap::operator() | ( | const Handle< Standard_Type > & | K | ) |
| inline

BinMDF_TypeADriverMap& BinMDF_TypeADriverMap::operator= | ( | const BinMDF_TypeADriverMap & | Other | ) |
| inline

void BinMDF_TypeADriverMap::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_Boolean BinMDF_TypeADriverMap::UnBind | ( | const Handle< Standard_Type > & | K | ) |

The documentation for this class was generated from the following file:

- BinMDF_TypeADriverMap.hxx